
%global meadversion 1.0.10
%global namedversion 1.0.10.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.0.10.Final-redhat-1

Name:           jboss-remote-naming
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Remote Naming
Group:          Development/Java

%if %with mead
Source100: jboss-remote-naming-1.0.10.Final-redhat-1-scm-sources.zip
Source102: jboss-remote-naming-1.0.10.Final-redhat-1.pom
Source103: jboss-remote-naming-1.0.10.Final-redhat-1-sources.jar
Source104: jboss-remote-naming-1.0.10.Final-redhat-1-javadoc.jar
Source105: jboss-remote-naming-1.0.10.Final-redhat-1-project-sources.tar.gz
Source106: jboss-remote-naming-1.0.10.Final-redhat-1.jar
%endif

License:        LGPLv2+
URL:            https://github.com/jbossas/jboss-remote-naming.git
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
# FIXME: (dwalluck): someone disabled these, but unsure as to why
%if 0
Requires:       jboss-parent >= 0:11
Requires:       jboss-ejb-client >= 0:1.0.13
Requires:       jboss-marshalling >= 0:1.3.0
# FIXME: (dwalluck): jboss-marshalling package needs proper split
#Requires:      jboss-marshalling-river >= 0:1.3.0
# FIXME: (dwalluck): jboss-xnio-base package needs proper split
# FIXME: (dwalluck): jboss-xnio-base provides xnio, but should create xnio-api package
#Requires:      xnio-api >= 0:3.0.0
Requires:       jboss-xnio-base >= 0:3.0.0
# XXX: (dwalluck): original artifact is jboss-remoting
Requires:       jboss-remoting3 >= 0:3.2.7
Requires:       jboss-sasl >= 0:1.0.0
Requires:       jboss-logging >= 0:3.1.0
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-remote-naming-%{namedversion}-%{release}-root

%description
Library for remote naming (JNDI) with JBoss AS.

%if %with javadoc
%package -n jboss-remote-naming-javadoc
Summary:        Javadoc for jboss-remote-naming
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n jboss-remote-naming-javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-remote-naming -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-remote-naming-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-remote-naming-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jboss-remote-naming-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-remote-naming-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jboss-remote-naming-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-remote-naming-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/jboss-remote-naming-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jboss-remote-naming.pom

# depmaps
%add_to_maven_depmap org.jboss jboss-remote-naming %{namedversion} JPP jboss-remote-naming
[ %{name} = "jboss-remote-naming" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jboss-remote-naming

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-remote-naming-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-remote-naming-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-remote-naming-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-remote-naming-%{namedversion} %{buildroot}%{_javadocdir}/jboss-remote-naming
%endif

%clean
%{__rm} -rf %{buildroot}


%post -n jboss-remote-naming
%update_maven_depmap

%postun -n jboss-remote-naming
%update_maven_depmap

%files -n jboss-remote-naming
%defattr(0644,root,root,0755)
%doc README
%{_javadir}/jboss-remote-naming-%{namedversion}.jar
%{_javadir}/jboss-remote-naming.jar
%exclude %{_javadir}/jboss-remote-naming-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jboss-remote-naming-javadoc.jar
%{_javadir}/jboss-remote-naming-%{namedversion}-sources.jar
%{_javadir}/jboss-remote-naming-sources.jar
%{_mavenpomdir}/JPP-jboss-remote-naming.pom
%{_mavendepmapfragdir}/jboss-remote-naming

%if %with javadoc
%files -n jboss-remote-naming-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-remote-naming-%{namedversion}
%{_javadocdir}/jboss-remote-naming
%{_javadir}/jboss-remote-naming-%{namedversion}-javadoc.jar
%{_javadir}/jboss-remote-naming-javadoc.jar
%endif

%changelog
* Fri Nov 21 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.10-1.Final_redhat_1.1
- Upgrade to 1.0.10.Final

* Mon Aug 25 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.9-1.Final_redhat_1.1
- Upgrade to 1.0.9.Final

* Thu Feb 13 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.8-1.Final_redhat_1.1
- Upgrade to 1.0.8.Final

* Fri Jul 12 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.7-1.Final_redhat_1
- Upgrade to 1.0.7.Final

* Fri Apr 26 2013 Paul Gier <pgier@redhat.com> - 0:1.0.6-2.Final_redhat_2
- Minor pom patch update for eap 6.1.0 GA

* Wed Apr 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.6-1.Final_redhat_1
- Upgrade to 1.0.6.Final

* Sat Feb 16 2013 Lin Gao <lgao@redhat.com> - 0:1.0.5-1.Final_redhat_1
- Upgrade to 1.0.5.Final
- Fix JPP errors
- Add javadoc subpackage

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.4-2.Final_redhat_1.1
- Rebuild for MD5

* Mon Aug 27 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.4-1.Final_redhat_1.1
- Upgrade to 1.0.4.Final

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_2.6
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_2.5
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.4
- Rebuild using cache signing

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.3
- Rebuild using cache signing

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.1
- Rebuild using cache signing

* Fri May 04 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0.3-1.Final_redhat_1
- Upgrade to 1.0.3.Final-redhat-1

* Tue Mar 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.Final_redhat_1.1
- Upgrade to 1.0.2.Final-redhat-1

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.3
- Rebuild to fix symlinks

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.2
- Remove R: jboss-logging-tools
- Upgrade to new wrapper

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.1
- First build
